Skip to main content
POST
/
content-plans
Create a content plan
curl --request POST \
  --url https://rawugc.com/api/v1/content-plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scrapeId": "<string>",
  "brief": "<string>"
}
'
{
  "planId": "<string>",
  "scrapeId": "<string>",
  "brief": "<string>",
  "topWins": [
    "<string>"
  ],
  "gapsToTest": [
    "<string>"
  ],
  "blueprints": [
    {
      "category": "<string>",
      "strategy": "<string>",
      "evidence": [
        "<string>"
      ],
      "contentIdeas": [
        {
          "hook": "<string>",
          "openingShot": "<string>",
          "contentOutline": [
            "<string>"
          ],
          "cta": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY

Body

application/json
scrapeId
string
required

scrapeId from the scrape-tiktok response

brief
string
required

Content plan goals and direction

Required string length: 1 - 5000

Response

Content plan created

planId
string
scrapeId
string
brief
string
topWins
string[]
gapsToTest
string[]
blueprints
object[]